import { FieldGeneratorFunc } from "./types";
declare type RecursivePartial<T> = {
    [P in keyof T]?: RecursivePartial<T[P]>;
};
declare type OverrideFunction = (fixture: any) => void;
export default class Fixture<T> {
    private instanceCount;
    private builders;
    constructor(builders: FieldGeneratorFunc[]);
    create(overrides?: RecursivePartial<T> | OverrideFunction): T;
}
export {};
